# PlatformAwareComponentSpec

@Incubating
interface PlatformAwareComponentSpec : VariantComponentSpec

Defines Platform specific operations for ComponentSpecs

#### Inheritors

TargetedNativeComponent

## Functions

getBinaries
Link copied to clipboard
abstract fun getBinaries(): ModelMap<BinarySpec>
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getProjectPath
Link copied to clipboard
abstract fun getProjectPath(): String
getVariants
Link copied to clipboard
abstract fun getVariants(): Iterable<out Binary>
targetPlatform
Link copied to clipboard
abstract fun targetPlatform(targetPlatform: String)
Specifies a platform that this component should be built be for.